Page MenuHomePhabricator

InfoAction->pageInfo() accepts a title parameter, and then overwrites it
Closed, ResolvedPublic

Description

Remove the overwrite, or remove the parameter

protected function pageInfo( $title ) {

		global $wgContLang, $wgDisableCounters, $wgRCMaxAge;

		$user = $this->getUser();
		$lang = $this->getLanguage();
		$title = $this->getTitle();
		$id = $title->getArticleID();

Version: unspecified
Severity: normal

Details

Reference
bz40845

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:05 AM
bzimport set Reference to bz40845.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Oct 7 2012, 9:11 PM

Gerrit change 27119

madman.enwiki wrote:

Copy/paste fail. Good catch, Reedy. :)

This looks like it was merged by Reedy on October 11. Marking this as resolved.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 28 2016, 6:13 PM